API Connect

  • 1.  Error while installing APIConnect v10.0 in CP4I 2021.2.1

    IBM Select
    Posted Wed August 25, 2021 04:42 AM
    Hi,

    I am trying to install APIConnect v10 in CP4I 2021.2.1 Every time when i try to install APIConnect instance I am getting error from a job called 'apis-configurator' and error details are: BackoffLimit exceeded 'Job has reached the specified backoff limit'. What is the resolution for this issue?

    ------------------------------
    Thanks,
    Santhosh Ramanathan
    ------------------------------


  • 2.  RE: Error while installing APIConnect v10.0 in CP4I 2021.2.1

    Posted Thu August 26, 2021 05:55 PM

    When you installed APIConnect, did you select Block Storage?

    https://www.ibm.com/docs/en/cloud-paks/cp-integration/2021.2?topic=requirements-storage



    ------------------------------
    Pam Andrejko
    ------------------------------



  • 3.  RE: Error while installing APIConnect v10.0 in CP4I 2021.2.1

    IBM Select
    Posted Fri August 27, 2021 01:01 AM
    Hi pam,

    Yes, since our cp4i is installed on IBM Cloud, I am using ibmc-block-gold for APIConnect.

    ------------------------------
    Thanks,
    Santhosh Ramanathan
    ------------------------------



  • 4.  RE: Error while installing APIConnect v10.0 in CP4I 2021.2.1

    Posted Fri August 27, 2021 07:30 AM
    Where are you seeing this error? I might have reproduced it.

    ------------------------------
    Pam Andrejko
    ------------------------------



  • 5.  RE: Error while installing APIConnect v10.0 in CP4I 2021.2.1

    IBM Select
    Posted Fri October 01, 2021 05:09 AM
    Hi @Pam Andrejko @Santhosh Ramanathan - Was there a solution to this issue? We are experiencing the same issue with installing APIC on CP4I v2021.3.1
    ​The configurator job fails because it is unable to fetch the access token and that results in following error:

    {"name":"apic-configurator","file":"configure","hostname":"dev-apic-configurator-bfh2s","pid":18,"function":"js:338:12","level":50,"msg":"Failed to configure API Connect: 401 - {\"status\":401,\"message\":[\"Unauthorized\"]}","time":"2021-10-01T01:57:25.265Z","v":0}
    npm ERR! code ELIFECYCLE
    npm ERR! errno 2
    npm ERR! apic-configurator@1.0.0 start: `NODE_ENV=production node .`
    npm ERR! Exit status 2
    npm ERR!
    npm ERR! Failed at the apic-configurator@1.0.0 start script.
    npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

    --- ---- ---- ----- 

    All the other APIC servers are installed, but are not accessible. ​

    ------------------------------
    Romil Garg
    ------------------------------



  • 6.  RE: Error while installing APIConnect v10.0 in CP4I 2021.2.1

    IBM Select
    Posted Fri October 01, 2021 05:15 AM
    Hi @Romil Garg , I was able to resolve the issue by deploying it in new namespace by keeping the below points:

    1. make sure you have added your entitlement key as secret in ibm-entitlement-key

    2. Follow these steps:
    1. When the Event Gateway pod is up, complete the following steps to avoid the image pull failure described in troubleshooting:

      1. Log in to the OpenShift Container Platform web console as an administrator.

      2. Go to User Management -> ServiceAccounts.

      3. Select the namespace where you want to install your instance from the Project dropdown.

      4. Search for egw and select <instance-name>-event-gw

      5. Click the YAML tab.

      6. Add the new secret under imagePullSecrets: in the following format:

        - name: ibm-entitlement-key

      7. Click Save.

      8. Click Save again when the message about Managed resource is displayed





    ------------------------------
    Thanks,
    Santhosh Ramanathan
    ------------------------------